Query PIN List
Query the PIN list.
Request URL
GET {base_url}/{api_path}/pin_list/list?access_token={access_token}
Request parameters
| Parameter | Required | Type | Description |
|---|---|---|---|
| page | No | Integer | Define which page is displayed. |
| page_size | No | Integer | Define how many records per page. |
Response parameters
| Parameter | Type | Description |
|---|---|---|
| errcode | Integer | Returned error code.
|
| errmsg | String | Returned message.
|
| total_number | Integer | The total number of PIN list. |
| data | Array <PINList_Info> | The information of each PIN list. |
PINList_Info
| Parameter | Type | Description |
|---|---|---|
| id | Integer | The unique ID of the PIN list. |
| name | String | The name of the PIN list. |
| pin_list | String | The PIN codes. |
| enb_record_cdr | Integer | Whether to record the PIN code in CDR when the PIN code has been used.
|
Examples
Request example
GET /openapi/v1.0/pin_list/list?access_token=ojPrvnfzPdwc8OCcRmhG16gEHuZcwFco HTTP/1.1 Host: 192.168.5.150:8088
Response example
HTTP/1.1 200 OK
{
"errcode": 0,
"errmsg": "SUCCESS",
"total_number": 2,
"data": [
{
"id": 13,
"name": "local_calls",
"pin_list": "2283,3301",
"enb_record_cdr": 0
},
{
"id": 14,
"name": "lnternational_calls",
"pin_list": "4865,7203,5501",
"enb_record_cdr": 1
}
]
}